<div id="ld" style="position:fixed; top:50%; left:50%"><img src="img/ld.gif"></div>			


<?php
	if(!session_id()) session_start();
	$ids = session_id();

	include "php_class/class_mysql.php";
	include "php_class/class_mahasiswa.php";
	
	include "php_class/class_transaksi.php";
	include "php_class/class_grup.php";
	include "php_class/class_template.php";
	$dataTemplate = new DataTemplate;
	$datagrup = new DataGrup;
	$DataTransaksi = new DataTransaksi;

	$DataMahasiswa = new DataMahasiswa;
	
	$tahun = date('y'); 
	$jumlah = $DataMahasiswa->get_last_pendaftaran('', $a, 'jumlah');
	if ($jumlah==0){
		$kodeMaster = $tahun."0001";	
	}else{
		$terakhir = $jumlah + 1;
		$panjangkarakter = strlen($terakhir);
		for ($i = 1; $i <= 4- $panjangkarakter; $i++){
			$nol = $nol."0";
		}
		$kodeMaster = $tahun.$nol.$terakhir;
	}

		
	$nama = $_POST['Nama'];
	$Jurusan = $_POST['Jurusan'];
	$tempatLahir = $_POST['tempatLahir'];
	$tgl = $_POST['tgl'];
	$jenisKelamin = $_POST['jenisKelamin'];
	$agama = $_POST['agama'];
	$alamat = $_POST['alamat'];
	$notelp = $_POST['notelp'];
	$email = $_POST['email'];
	$asalSekolah = $_POST['asalSekolah'];
	$orangtua = $_POST['orangtua'];
	$desa = $_POST['desa'];
	$kecamatan = $_POST['kecamatan'];
	$kabupaten = $_POST['kabupaten'];
	$provinsi = $_POST['provinsi'];
	
	$DataMahasiswa->add_pendaftaran($kodeMaster, $nama, $Jurusan, $tempatLahir, $tgl, $jenisKelamin, $agama, $alamat, $notelp, $email, $asalSekolah, $orangtua,$desa, $kecamatan, $kabupaten, $provinsi);
	
	
	
	
	
	$idGrup = 'G0015';
	$tahun = date('y'); 
	$bulan = date('m'); 
	
	$jumlah = $DataTransaksi->get_last_trans_pendaftaran('', $a, 'jumlah');
	if ($jumlah==0){
	$kodeMaster1 = $tahun.$bulan."0001";	
	}else{
		$terakhir1 = $jumlah + 1;
		$panjangkarakter1 = strlen($terakhir1);
		for ($i = 1; $i <= 4- $panjangkarakter1; $i++){
			$nol1 = $nol1."0";
		}
		$kodeMaster1 = $tahun.$bulan.$nol1.$terakhir1;
	}
	$total = 0;
	$JumlahData = $datagrup->get_detil('',$a,'jumlah', $idGrup);
	for ($a=1;$a<=$JumlahData;$a++){
		$no = $datagrup->get_detil('id', $a, '', $idGrup);
		$id = $datagrup->get_detil('idTemplate',$a,'', $idGrup);
		$namaTrx = $datagrup->get_detil('NamaTRX',$a,'', $idGrup);
		$Biaya = $datagrup->get_detil('Biaya',$a,'', $idGrup);
		$idBendahara = $datagrup->get_detil('idBendahara', $a, '', $idGrup);
		$NamaBendahara = $datagrup->get_detil('NamaBendahara', $a, '', $idGrup);
		$BiayaTrx = $datagrup->get_detil('BiayaNonReguler', $a, '', $idGrup);
			
		$total = $total + $BiayaTrx;
				
		
		$DataTransaksi->add_detil_transaksi_pendaftaran($kodeMaster1, $id,$BiayaTrx); 
	}
	
	$DataTransaksi->add_master_transaksi_pendaftaran($kodeMaster1, $kodeMaster, $total, $idGrup, $_SESSION['idOperator']);

	include "php_class/class_log_sistem.php";
	$DataLogSistem = new DataLogSistem;
	$idOperator = $_SESSION['idOperator'];
	$namaOp = $_SESSION["NamaOperator"];
	$keterangan = "Menambah data pendaftaran : ".$nama." oleh ".$namaOp."";
	$DataLogSistem->add_data_log_sistem($keterangan,$idOperator);

?>
<script>window.location='cetak-pendaftaran/<?php echo $kodeMaster?>'</script>